using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp6
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string unos = Console.ReadLine(); 

            string[] delovi = unos.Split(' '); 
            int broj1 = int.Parse(delovi[0]);
            int broj2 = int.Parse(delovi[1]);
            delovi = Console.ReadLine().Split();
            bool bul = true;
            for (int i = 0; i < broj1; i++)
            {
                if (int.Parse(delovi[i]) <= broj2) 
                { 
                    Console.WriteLine(i + 1);
                    bul = false;
                    break; 
                }
            }
            if (bul)
            {
                Console.WriteLine(-1);
            }

        }
    }
}